FROM bitnami/postgresql:17-debian-12

USER root

RUN install_packages make git gcc libc6-dev libssl-dev curl libcurl4-openssl-dev libsodium-dev cmake
# pgjwt
RUN git clone https://github.com/michelp/pgjwt.git
RUN cd pgjwt && make install

# wal2json
RUN git clone https://github.com/eulerto/wal2json.git
RUN cd wal2json && make && make install

# pgvector
RUN git clone --branch v0.8.0 https://github.com/pgvector/pgvector.git
RUN cd pgvector && make && make install

# pg_stat_monitor
RUN git clone https://github.com/percona/pg_stat_monitor.git
RUN cd pg_stat_monitor && make USE_PGXS=1 && make USE_PGXS=1 install

# pgaudit
RUN git clone https://github.com/pgaudit/pgaudit.git
RUN cd pgaudit && git checkout REL_17_STABLE && make install USE_PGXS=1 PG_CONFIG=/opt/bitnami/postgresql/bin/pg_config

# plpgsql_check
RUN git clone https://github.com/okbob/plpgsql_check.git
RUN cd plpgsql_check && make clean && make install

# pg_cron
RUN git clone https://github.com/citusdata/pg_cron.git
RUN cd pg_cron && make && make install


# pg_net
RUN git clone https://github.com/supabase/pg_net.git
RUN cd pg_net && make && make install

RUN git clone https://github.com/michelp/pgsodium.git
RUN cd pgsodium && make install
COPY --chown=1001:1001 ./pgsodium_getkey /opt/bitnami/postgresql/share/extension
RUN chmod -R +x /opt/bitnami/postgresql/share/extension/pgsodium_getkey

RUN git clone https://github.com/timescale/timescaledb
RUN cd timescaledb && git checkout 2.17.2 && ./bootstrap && cd build && make && make install


ENV POSTGRESQL_SHARED_PRELOAD_LIBRARIES="pg_stat_statements, pg_stat_monitor, pgaudit, plpgsql, plpgsql_check, pg_cron, pg_net, pgsodium, auto_explain"



USER 1001